- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgProducer::KeyboardMouseCallback Class Reference

List of all members.

## Public Types
typedef std::vector< osg::ref_ptr< EventAdapter > > | EventQueue
## Public Member Functions
| KeyboardMouseCallback (Producer::KeyboardMouse *keyboardMouse, bool &done, bool escapeKeySetsDone=true)
virtual | ~KeyboardMouseCallback ()
virtual void | mouseScroll (Producer::KeyboardMouseCallback::ScrollingMotion sm)
virtual void | mouseMotion (float mx, float my)
virtual void | passiveMouseMotion (float mx, float my)
virtual void | mouseWarp (float mx, float my)
virtual void | buttonPress (float mx, float my, unsigned int mbutton)
virtual void | doubleButtonPress (float mx, float my, unsigned int mbutton)
virtual void | buttonRelease (float mx, float my, unsigned int mbutton)
virtual void | keyPress (Producer::KeyCharacter key)
virtual void | keyRelease (Producer::KeyCharacter key)
virtual void | specialKeyPress (Producer::KeyCharacter key)
virtual void | specialKeyRelease (Producer::KeyCharacter key)
virtual void | windowConfig (int x, int y, unsigned int width, unsigned int height)
virtual void | shutdown ()
void | setEscapeSetDone (bool esc)
bool | getEscapeSetDone () const
double | getEventQueue (EventQueue &queue)
bool | done ()
float | mx ()
float | my ()
unsigned int | mbutton ()
void | setStartTick (osg::Timer_t tick)
double | getTime ()
Producer::KeyboardMouse * | getKeyboardMouse ()
const Producer::KeyboardMouse * | getKeyboardMouse () const
EventAdapter * | createEventAdapter ()
## Protected Attributes
Producer::KeyboardMouse * | _keyboardMouse
float | _mx
float | _my
unsigned int | _mbutton
bool & | _done
bool | _escapeKeySetsDone
osg::Timer_t | _startTick
osg::Timer | _timer
OpenThreads::Mutex | _eventQueueMutex
EventQueue | _eventQueue

## Member Typedef Documentation

typedef std::vector< osg::ref_ptr<EventAdapter> > osgProducer::KeyboardMouseCallback::EventQueue

## Constructor & Destructor Documentation

osgProducer::KeyboardMouseCallback::KeyboardMouseCallback | ( | Producer::KeyboardMouse * | keyboardMouse,
|  | bool & | done,
|  | bool | escapeKeySetsDone = `true`
| ) | `[inline]`

virtual osgProducer::KeyboardMouseCallback::~KeyboardMouseCallback | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void KeyboardMouseCallback::buttonPress | ( | float | mx,
|  | float | my,
|  | unsigned int | mbutton
| ) | `[virtual]`

void KeyboardMouseCallback::buttonRelease | ( | float | mx,
|  | float | my,
|  | unsigned int | mbutton
| ) | `[virtual]`

EventAdapter * KeyboardMouseCallback::createEventAdapter | ( |  | ) |

bool osgProducer::KeyboardMouseCallback::done | ( |  | ) | `[inline]`

void KeyboardMouseCallback::doubleButtonPress | ( | float | mx,
|  | float | my,
|  | unsigned int | mbutton
| ) | `[virtual]`

bool osgProducer::KeyboardMouseCallback::getEscapeSetDone | ( |  | ) | const`[inline]`

double KeyboardMouseCallback::getEventQueue | ( | EventQueue & | queue | ) |

const Producer::KeyboardMouse* osgProducer::KeyboardMouseCallback::getKeyboardMouse | ( |  | ) | const`[inline]`

Producer::KeyboardMouse* osgProducer::KeyboardMouseCallback::getKeyboardMouse | ( |  | ) | `[inline]`

double osgProducer::KeyboardMouseCallback::getTime | ( |  | ) | `[inline]`

void KeyboardMouseCallback::keyPress | ( | Producer::KeyCharacter | key | ) | `[virtual]`

void KeyboardMouseCallback::keyRelease | ( | Producer::KeyCharacter | key | ) | `[virtual]`

unsigned int osgProducer::KeyboardMouseCallback::mbutton | ( |  | ) | `[inline]`

void KeyboardMouseCallback::mouseMotion | ( | float | mx,
|  | float | my
| ) | `[virtual]`

void KeyboardMouseCallback::mouseScroll | ( | Producer::KeyboardMouseCallback::ScrollingMotion | sm | ) | `[virtual]`

void KeyboardMouseCallback::mouseWarp | ( | float | mx,
|  | float | my
| ) | `[virtual]`

float osgProducer::KeyboardMouseCallback::mx | ( |  | ) | `[inline]`

float osgProducer::KeyboardMouseCallback::my | ( |  | ) | `[inline]`

void KeyboardMouseCallback::passiveMouseMotion | ( | float | mx,
|  | float | my
| ) | `[virtual]`

void osgProducer::KeyboardMouseCallback::setEscapeSetDone | ( | bool | esc | ) | `[inline]`

void osgProducer::KeyboardMouseCallback::setStartTick | ( | osg::Timer_t | tick | ) | `[inline]`

void KeyboardMouseCallback::shutdown | ( |  | ) | `[virtual]`

void KeyboardMouseCallback::specialKeyPress | ( | Producer::KeyCharacter | key | ) | `[virtual]`

void KeyboardMouseCallback::specialKeyRelease | ( | Producer::KeyCharacter | key | ) | `[virtual]`

void KeyboardMouseCallback::windowConfig | ( | int | x,
|  | int | y,
|  | unsigned int | width,
|  | unsigned int | height
| ) | `[virtual]`

## Member Data Documentation

bool& osgProducer::KeyboardMouseCallback::_done`[protected]`

bool osgProducer::KeyboardMouseCallback::_escapeKeySetsDone`[protected]`

EventQueue osgProducer::KeyboardMouseCallback::_eventQueue`[protected]`

OpenThreads::Mutex osgProducer::KeyboardMouseCallback::_eventQueueMutex`[protected]`

Producer::KeyboardMouse* osgProducer::KeyboardMouseCallback::_keyboardMouse`[protected]`

unsigned int osgProducer::KeyboardMouseCallback::_mbutton`[protected]`

float osgProducer::KeyboardMouseCallback::_mx`[protected]`

float osgProducer::KeyboardMouseCallback::_my`[protected]`

osg::Timer_t osgProducer::KeyboardMouseCallback::_startTick`[protected]`

osg::Timer osgProducer::KeyboardMouseCallback::_timer`[protected]`

The documentation for this class was generated from the following files:

- KeyboardMouseCallback
- KeyboardMouseCallback.cpp